<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scicos
 * 
 * Copyright (C) INRIA - METALAU Project <scicos@inria.fr> (HTML version)
 * Copyright (C) DIGITEO - Scilab Consortium (XML Docbook version)
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * See the file ./license.txt
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:id="Events_pal">
  <refnamediv>
    <refname>Events_pal</refname>
    <refpurpose>Palette Events</refpurpose>
  </refnamediv>
  <refsection>
    <title>Block Screenshot</title>
    <para>
      <inlinemediaobject>
        <imageobject>
          <imagedata fileref="../../../images/Events_pal_blk.gif" align="center" valign="middle"/>
        </imageobject>
      </inlinemediaobject>
    </para>
  </refsection>
  <refsection id="Module_Events_pal">
    <title>Module</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="scicos_manual">Scicos</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
  <refsection id="Description_Events_pal">
    <title>Description</title>
    <para>
La palette 'Events' (événements) est utilisée pour manipuler les
événements sur le diagramme. Elle contient entre autre plusieurs
sources d'activation, des blocs synchrones ainsi que des blocs
pour regrouper/combiner les événements sur un seul lien.

</para>
  </refsection>
  <refsection id="Blocs_Events_pal">
    <title>Blocs</title>
    <itemizedlist>
      <listitem>
        <para>
          <link linkend="ANDBLK">ANDBLK - Et activation</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="ANDLOG_f">ANDLOG_f - ET logique</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="CLKSOMV_f">CLKSOMV_f - Union d'activations</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="CLOCK_c">CLOCK_c - Horloge d'activation</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="ESELECT_f">ESELECT_f - Bloc synchrone Event-Select</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="EVTDLY_f">EVTDLY_f - Retard événementiel (Ancien bloc)</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="EVTGEN_f">EVTGEN_f - Générateur d'événement</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="EVTVARDLY">EVTVARDLY - Retard variable événementiel</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="freq_div">freq_div - Diviseur de fréquence</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="HALT_f">HALT_f - Halt</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="IFTHEL_f">IFTHEL_f - Bloc synchrone If-Then-Else</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="M_freq">M_freq - Horloge à fréquence multiples</link>
        </para>
      </listitem>
      <listitem>
        <para>
          <link linkend="SampleCLK">SampleCLK - Horloge synchrone</link>
        </para>
      </listitem>
    </itemizedlist>
  </refsection>
</refentry>
